Trade Fees
How do trade fees work?
Learn how trade fees are calculated and accumulated
Overview
- Cybrid may implement trade fees as specified in each partner's agreement.
- Partners may also implement trade fees.
- Both Cybrid and partner trade fees aggregate into the
feefield of thePOST /api/quotesandPOST /api/tradesresponses. - The Cybrid team configures trade fees.
Charging Custom Fees
To charge a custom fee (such as for an ACH withdrawal), include the fees parameter when creating a quote via
POST /api/quotes. The fees array accepts up to two custom fees per quote. Supported fee types are:
fixed: A fixed amount in base units of the asset (e.g.,300= $3.00 USD)spread: A percentage-based fee in basis points (e.g.,20= 0.20%)
Example request body for a funding withdrawal quote with a fixed fee:
{
"product_type": "funding",
"customer_guid": "customer_guid",
"asset": "USD",
"side": "withdrawal",
"receive_amount": 10000,
"fees": [
{
"type": "fixed",
"fixed_fee": 300
}
]
}The quote response includes an aggregated fee field showing the total fees, including both platform and custom
fees. For withdrawals, the deliver_amount includes the fee, so the customer's account is debited the full
amount. Custom fees accumulate in the bank-level fee account alongside other partner trade fees.
Calculation
Spread fee units are represented in basis points (e.g., 20 charges a 0.20% spread), while fixed fees are denoted in the base units of the asset (e.g., 100 for a USD fee translates to a $1.00 USD fixed fee).
Buy
- When
deliver_amountis specified,feeis subtracted from the amount quoted by the liquidity provider.- The
deliver_amountis the amount debited from the account, inclusive of fees.
- The
- When
receive_amountis specified,feeis added to thedeliver_amountquoted by the liquidity provider. The totalfee+deliver_amountis debited from the account.- The
receive_amountis the amount credited to the account, inclusive of fees.
- The
Sell
- When
receive_amountis specified,feeis added to the amount quoted by the liquidity provider.- The
receive_amountis the amount credited to the account, inclusive of fees.
- The
- When
deliver_amountis specified,feeis subtracted from thereceive_amountquoted by the liquidity provider. The totalreceive_amount-feeis credited to the account.- The
deliver_amountis the amount debited from the account, inclusive of fees.
- The
Accumulation
- Partner trade fees accumulate in a
feefiat account at the bank level.
Key takeawayRegardless of which amount is specified (
deliver_amountorreceive_amount), the specified amount is always maintained after accounting for fees.
- Cybrid invoices partners for accumulated trade fees in the bank-level
feeaccount and other costs (such as ACH and KYC fees).
Updated 1 day ago
